
package sklep.generated;

import javax.xml.namespace.QName;
import jakarta.xml.bind.JAXBElement;
import jakarta.xml.bind.annotation.XmlElementDecl;
import jakarta.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the sklep.generated package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Foto_QNAME = new QName("http://soap.sklep/", "foto");
    private final static QName _FotoResponse_QNAME = new QName("http://soap.sklep/", "fotoResponse");
    private final static QName _Hello_QNAME = new QName("http://soap.sklep/", "hello");
    private final static QName _HelloResponse_QNAME = new QName("http://soap.sklep/", "helloResponse");
    private final static QName _JedenKlient_QNAME = new QName("http://soap.sklep/", "jedenKlient");
    private final static QName _JedenKlientResponse_QNAME = new QName("http://soap.sklep/", "jedenKlientResponse");
    private final static QName _JedenProdukt_QNAME = new QName("http://soap.sklep/", "jedenProdukt");
    private final static QName _JedenProduktResponse_QNAME = new QName("http://soap.sklep/", "jedenProduktResponse");
    private final static QName _JednoZamowienia_QNAME = new QName("http://soap.sklep/", "jednoZamowienia");
    private final static QName _JednoZamowieniaResponse_QNAME = new QName("http://soap.sklep/", "jednoZamowieniaResponse");
    private final static QName _KtoraGodzina_QNAME = new QName("http://soap.sklep/", "ktoraGodzina");
    private final static QName _KtoraGodzinaResponse_QNAME = new QName("http://soap.sklep/", "ktoraGodzinaResponse");
    private final static QName _Oblicz_QNAME = new QName("http://soap.sklep/", "oblicz");
    private final static QName _ObliczResponse_QNAME = new QName("http://soap.sklep/", "obliczResponse");
    private final static QName _ProduktyWgCeny_QNAME = new QName("http://soap.sklep/", "produktyWgCeny");
    private final static QName _ProduktyWgCenyResponse_QNAME = new QName("http://soap.sklep/", "produktyWgCenyResponse");
    private final static QName _WszystkieProdukty_QNAME = new QName("http://soap.sklep/", "wszystkieProdukty");
    private final static QName _WszystkieProduktyResponse_QNAME = new QName("http://soap.sklep/", "wszystkieProduktyResponse");
    private final static QName _ZapiszFoto_QNAME = new QName("http://soap.sklep/", "zapiszFoto");
    private final static QName _ZapiszFotoResponse_QNAME = new QName("http://soap.sklep/", "zapiszFotoResponse");
    private final static QName _ZapiszProdukt_QNAME = new QName("http://soap.sklep/", "zapiszProdukt");
    private final static QName _ZapiszProduktResponse_QNAME = new QName("http://soap.sklep/", "zapiszProduktResponse");
    private final static QName _RecordNotFound_QNAME = new QName("http://soap.sklep/", "RecordNotFound");
    private final static QName _DBException_QNAME = new QName("http://soap.sklep/", "DBException");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: sklep.generated
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Order }
     * 
     * @return
     *     the new instance of {@link Order }
     */
    public Order createOrder() {
        return new Order();
    }

    /**
     * Create an instance of {@link Foto }
     * 
     * @return
     *     the new instance of {@link Foto }
     */
    public Foto createFoto() {
        return new Foto();
    }

    /**
     * Create an instance of {@link FotoResponse }
     * 
     * @return
     *     the new instance of {@link FotoResponse }
     */
    public FotoResponse createFotoResponse() {
        return new FotoResponse();
    }

    /**
     * Create an instance of {@link Hello }
     * 
     * @return
     *     the new instance of {@link Hello }
     */
    public Hello createHello() {
        return new Hello();
    }

    /**
     * Create an instance of {@link HelloResponse }
     * 
     * @return
     *     the new instance of {@link HelloResponse }
     */
    public HelloResponse createHelloResponse() {
        return new HelloResponse();
    }

    /**
     * Create an instance of {@link JedenKlient }
     * 
     * @return
     *     the new instance of {@link JedenKlient }
     */
    public JedenKlient createJedenKlient() {
        return new JedenKlient();
    }

    /**
     * Create an instance of {@link JedenKlientResponse }
     * 
     * @return
     *     the new instance of {@link JedenKlientResponse }
     */
    public JedenKlientResponse createJedenKlientResponse() {
        return new JedenKlientResponse();
    }

    /**
     * Create an instance of {@link JedenProdukt }
     * 
     * @return
     *     the new instance of {@link JedenProdukt }
     */
    public JedenProdukt createJedenProdukt() {
        return new JedenProdukt();
    }

    /**
     * Create an instance of {@link JedenProduktResponse }
     * 
     * @return
     *     the new instance of {@link JedenProduktResponse }
     */
    public JedenProduktResponse createJedenProduktResponse() {
        return new JedenProduktResponse();
    }

    /**
     * Create an instance of {@link JednoZamowienia }
     * 
     * @return
     *     the new instance of {@link JednoZamowienia }
     */
    public JednoZamowienia createJednoZamowienia() {
        return new JednoZamowienia();
    }

    /**
     * Create an instance of {@link JednoZamowieniaResponse }
     * 
     * @return
     *     the new instance of {@link JednoZamowieniaResponse }
     */
    public JednoZamowieniaResponse createJednoZamowieniaResponse() {
        return new JednoZamowieniaResponse();
    }

    /**
     * Create an instance of {@link KtoraGodzina }
     * 
     * @return
     *     the new instance of {@link KtoraGodzina }
     */
    public KtoraGodzina createKtoraGodzina() {
        return new KtoraGodzina();
    }

    /**
     * Create an instance of {@link KtoraGodzinaResponse }
     * 
     * @return
     *     the new instance of {@link KtoraGodzinaResponse }
     */
    public KtoraGodzinaResponse createKtoraGodzinaResponse() {
        return new KtoraGodzinaResponse();
    }

    /**
     * Create an instance of {@link Oblicz }
     * 
     * @return
     *     the new instance of {@link Oblicz }
     */
    public Oblicz createOblicz() {
        return new Oblicz();
    }

    /**
     * Create an instance of {@link ObliczResponse }
     * 
     * @return
     *     the new instance of {@link ObliczResponse }
     */
    public ObliczResponse createObliczResponse() {
        return new ObliczResponse();
    }

    /**
     * Create an instance of {@link ProduktyWgCeny }
     * 
     * @return
     *     the new instance of {@link ProduktyWgCeny }
     */
    public ProduktyWgCeny createProduktyWgCeny() {
        return new ProduktyWgCeny();
    }

    /**
     * Create an instance of {@link ProduktyWgCenyResponse }
     * 
     * @return
     *     the new instance of {@link ProduktyWgCenyResponse }
     */
    public ProduktyWgCenyResponse createProduktyWgCenyResponse() {
        return new ProduktyWgCenyResponse();
    }

    /**
     * Create an instance of {@link WszystkieProdukty }
     * 
     * @return
     *     the new instance of {@link WszystkieProdukty }
     */
    public WszystkieProdukty createWszystkieProdukty() {
        return new WszystkieProdukty();
    }

    /**
     * Create an instance of {@link WszystkieProduktyResponse }
     * 
     * @return
     *     the new instance of {@link WszystkieProduktyResponse }
     */
    public WszystkieProduktyResponse createWszystkieProduktyResponse() {
        return new WszystkieProduktyResponse();
    }

    /**
     * Create an instance of {@link ZapiszFoto }
     * 
     * @return
     *     the new instance of {@link ZapiszFoto }
     */
    public ZapiszFoto createZapiszFoto() {
        return new ZapiszFoto();
    }

    /**
     * Create an instance of {@link ZapiszFotoResponse }
     * 
     * @return
     *     the new instance of {@link ZapiszFotoResponse }
     */
    public ZapiszFotoResponse createZapiszFotoResponse() {
        return new ZapiszFotoResponse();
    }

    /**
     * Create an instance of {@link ZapiszProdukt }
     * 
     * @return
     *     the new instance of {@link ZapiszProdukt }
     */
    public ZapiszProdukt createZapiszProdukt() {
        return new ZapiszProdukt();
    }

    /**
     * Create an instance of {@link ZapiszProduktResponse }
     * 
     * @return
     *     the new instance of {@link ZapiszProduktResponse }
     */
    public ZapiszProduktResponse createZapiszProduktResponse() {
        return new ZapiszProduktResponse();
    }

    /**
     * Create an instance of {@link RecordNotFound }
     * 
     * @return
     *     the new instance of {@link RecordNotFound }
     */
    public RecordNotFound createRecordNotFound() {
        return new RecordNotFound();
    }

    /**
     * Create an instance of {@link DBException }
     * 
     * @return
     *     the new instance of {@link DBException }
     */
    public DBException createDBException() {
        return new DBException();
    }

    /**
     * Create an instance of {@link Product }
     * 
     * @return
     *     the new instance of {@link Product }
     */
    public Product createProduct() {
        return new Product();
    }

    /**
     * Create an instance of {@link OrderProduct }
     * 
     * @return
     *     the new instance of {@link OrderProduct }
     */
    public OrderProduct createOrderProduct() {
        return new OrderProduct();
    }

    /**
     * Create an instance of {@link Customer }
     * 
     * @return
     *     the new instance of {@link Customer }
     */
    public Customer createCustomer() {
        return new Customer();
    }

    /**
     * Create an instance of {@link Order.Products }
     * 
     * @return
     *     the new instance of {@link Order.Products }
     */
    public Order.Products createOrderProducts() {
        return new Order.Products();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Foto }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link Foto }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "foto")
    public JAXBElement<Foto> createFoto(Foto value) {
        return new JAXBElement<>(_Foto_QNAME, Foto.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FotoResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link FotoResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "fotoResponse")
    public JAXBElement<FotoResponse> createFotoResponse(FotoResponse value) {
        return new JAXBElement<>(_FotoResponse_QNAME, FotoResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Hello }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link Hello }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "hello")
    public JAXBElement<Hello> createHello(Hello value) {
        return new JAXBElement<>(_Hello_QNAME, Hello.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link HelloResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link HelloResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "helloResponse")
    public JAXBElement<HelloResponse> createHelloResponse(HelloResponse value) {
        return new JAXBElement<>(_HelloResponse_QNAME, HelloResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link JedenKlient }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link JedenKlient }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "jedenKlient")
    public JAXBElement<JedenKlient> createJedenKlient(JedenKlient value) {
        return new JAXBElement<>(_JedenKlient_QNAME, JedenKlient.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link JedenKlientResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link JedenKlientResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "jedenKlientResponse")
    public JAXBElement<JedenKlientResponse> createJedenKlientResponse(JedenKlientResponse value) {
        return new JAXBElement<>(_JedenKlientResponse_QNAME, JedenKlientResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link JedenProdukt }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link JedenProdukt }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "jedenProdukt")
    public JAXBElement<JedenProdukt> createJedenProdukt(JedenProdukt value) {
        return new JAXBElement<>(_JedenProdukt_QNAME, JedenProdukt.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link JedenProduktResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link JedenProduktResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "jedenProduktResponse")
    public JAXBElement<JedenProduktResponse> createJedenProduktResponse(JedenProduktResponse value) {
        return new JAXBElement<>(_JedenProduktResponse_QNAME, JedenProduktResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link JednoZamowienia }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link JednoZamowienia }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "jednoZamowienia")
    public JAXBElement<JednoZamowienia> createJednoZamowienia(JednoZamowienia value) {
        return new JAXBElement<>(_JednoZamowienia_QNAME, JednoZamowienia.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link JednoZamowieniaResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link JednoZamowieniaResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "jednoZamowieniaResponse")
    public JAXBElement<JednoZamowieniaResponse> createJednoZamowieniaResponse(JednoZamowieniaResponse value) {
        return new JAXBElement<>(_JednoZamowieniaResponse_QNAME, JednoZamowieniaResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link KtoraGodzina }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link KtoraGodzina }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "ktoraGodzina")
    public JAXBElement<KtoraGodzina> createKtoraGodzina(KtoraGodzina value) {
        return new JAXBElement<>(_KtoraGodzina_QNAME, KtoraGodzina.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link KtoraGodzinaResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link KtoraGodzinaResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "ktoraGodzinaResponse")
    public JAXBElement<KtoraGodzinaResponse> createKtoraGodzinaResponse(KtoraGodzinaResponse value) {
        return new JAXBElement<>(_KtoraGodzinaResponse_QNAME, KtoraGodzinaResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Oblicz }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link Oblicz }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "oblicz")
    public JAXBElement<Oblicz> createOblicz(Oblicz value) {
        return new JAXBElement<>(_Oblicz_QNAME, Oblicz.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ObliczResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ObliczResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "obliczResponse")
    public JAXBElement<ObliczResponse> createObliczResponse(ObliczResponse value) {
        return new JAXBElement<>(_ObliczResponse_QNAME, ObliczResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ProduktyWgCeny }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ProduktyWgCeny }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "produktyWgCeny")
    public JAXBElement<ProduktyWgCeny> createProduktyWgCeny(ProduktyWgCeny value) {
        return new JAXBElement<>(_ProduktyWgCeny_QNAME, ProduktyWgCeny.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ProduktyWgCenyResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ProduktyWgCenyResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "produktyWgCenyResponse")
    public JAXBElement<ProduktyWgCenyResponse> createProduktyWgCenyResponse(ProduktyWgCenyResponse value) {
        return new JAXBElement<>(_ProduktyWgCenyResponse_QNAME, ProduktyWgCenyResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WszystkieProdukty }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link WszystkieProdukty }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "wszystkieProdukty")
    public JAXBElement<WszystkieProdukty> createWszystkieProdukty(WszystkieProdukty value) {
        return new JAXBElement<>(_WszystkieProdukty_QNAME, WszystkieProdukty.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WszystkieProduktyResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link WszystkieProduktyResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "wszystkieProduktyResponse")
    public JAXBElement<WszystkieProduktyResponse> createWszystkieProduktyResponse(WszystkieProduktyResponse value) {
        return new JAXBElement<>(_WszystkieProduktyResponse_QNAME, WszystkieProduktyResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ZapiszFoto }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ZapiszFoto }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "zapiszFoto")
    public JAXBElement<ZapiszFoto> createZapiszFoto(ZapiszFoto value) {
        return new JAXBElement<>(_ZapiszFoto_QNAME, ZapiszFoto.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ZapiszFotoResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ZapiszFotoResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "zapiszFotoResponse")
    public JAXBElement<ZapiszFotoResponse> createZapiszFotoResponse(ZapiszFotoResponse value) {
        return new JAXBElement<>(_ZapiszFotoResponse_QNAME, ZapiszFotoResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ZapiszProdukt }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ZapiszProdukt }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "zapiszProdukt")
    public JAXBElement<ZapiszProdukt> createZapiszProdukt(ZapiszProdukt value) {
        return new JAXBElement<>(_ZapiszProdukt_QNAME, ZapiszProdukt.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ZapiszProduktResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ZapiszProduktResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "zapiszProduktResponse")
    public JAXBElement<ZapiszProduktResponse> createZapiszProduktResponse(ZapiszProduktResponse value) {
        return new JAXBElement<>(_ZapiszProduktResponse_QNAME, ZapiszProduktResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RecordNotFound }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link RecordNotFound }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "RecordNotFound")
    public JAXBElement<RecordNotFound> createRecordNotFound(RecordNotFound value) {
        return new JAXBElement<>(_RecordNotFound_QNAME, RecordNotFound.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DBException }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link DBException }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "DBException")
    public JAXBElement<DBException> createDBException(DBException value) {
        return new JAXBElement<>(_DBException_QNAME, DBException.class, null, value);
    }

}
